/******************************
main.css
06/03/2020 trial version
******************************/

html {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
*, *:before, *:after {
    -webkit-box-sizing: inherit;
    -moz-box-sizing: inherit;
    box-sizing: inherit;
}

*   {
    margin: 0px;
    border: none;
    padding: 0px;
}

body {
    font-family:arial, helvetica, sans-serif;
    font-weight:normal;
    font-style: normal;
    color:black;
}

/**************************
Top-level layout controls
**************************/
#wrap {                    /* wrap all body elements in this div... */
    position: relative;    /* becomes containing block for its descendants */
    margin: 0 auto;
    min-width: 320px;
    max-width: 1026px;     /* width of masthead graphic */
    border-style: solid;
    border-width: thin;
    border-color: black;
    background: #b9d3ee none repeat scroll 0% 0%;    /* R colour 601 */
    overflow: hidden;    /* prevent browser showing horizontal scroll */ 
}

#main {
    float: left;   
    background-color: white;
}
#main img {
    max-width: 100%;  /* of container width (#main or table cell) */
}

#sidebar {
    display: none;    /* "mobile-first" */
    float: right;
    padding-left: 5px;
    background-color: white;
}
#footer {
    font-size: small; /* "mobile-first" */
    clear:both;
    background:#cc9;
}
#main-domain {
    background:#FFB90F;
    padding-top:    0.5em;
    padding-bottom: 0.5em;
    padding-left:   1.0em;
    padding-right:   1.0em;
    border: thin solid black;
}

/**************************
Basic styles
**************************/
p   {
    font-size:      1em;
    padding-right:  10px;
    padding-top:    0;
    padding-bottom: 0.8em;
    margin-top:     0em;
    margin-bottom:  0em;
    line-height:    1.3;
}

h1, h2, h3, h4 {
    clear: right;    /* force heading onto newline after image */
    margin-top: 0em;
    margin-bottom: 0em;
}

h1  {
    font-size: 1.4em;
    color: blue;
    clear: right;
    margin-top:     0.8em;
    margin-bottom:  0.2em;
}
h2  {
    font-size: 1.25em;
    padding-top: .1em;
    padding-bottom: .5em;
}
h3  {
    font-size: 1.1em;
    padding-top: .1em;
    padding-bottom: .5em;
}
h4  {
    font-size: 1em;
    padding-top: .1em;
    padding-bottom: .5em;
}
ol  {
    list-style-type: decimal;
    list-style-position: inside;
    padding-top: 0;
    padding-bottom: .8em;
    margin-top: 0em;
    margin-bottom: 0em;
    margin-left: 10px;
    margin-right: 10px;
}
ul  {
    list-style-type: square;
    padding-top: 0;
    padding-bottom: .8em;
    margin-top: 0em;
    margin-bottom: 0em;
    margin-left: 10px;
    margin-right: 10px;
}
li  {
    padding-bottom: .2em;
}

p, h1, h2, h3, h4, ul {
    padding-left: 8px;
}

img {
    overflow: hidden;
}

address {
    font-family: "andale mono", monospace;
    font-style: normal;
}
pre {
    font-family: "andale mono", "Andale Mono", monospace;
    font-style: normal;
    margin-left: 10px;
    margin-right: 10px;
}

/* special classes */
.celltitle {
    clear: both;
    margin-left: auto;
    margin-right: auto;
}
.ptable {  /* for paragraph divisions inside a table cell */
    font-size:      1em;
    line-height:    1.2;
    margin-left:    0px;
    margin-right:   0px;
    margin-top:     0px;
    margin-bottom:  0.4em;
}
.pic-fullwidth {
    width: 100%;   /* 100% of container width */
    margin: 2px;
}
.picrhs {
    max-width: 100%;   /* mobile-first: 100% of container width */
    float: right;
    border: thin solid black;
    margin: 2px;
}
.pdf-link {             /* only show links for pdf files on wider screens */
    display: none;
}

/*---------------------------------------
For additional (level 2) menu options
---------------------------------------*/
.pad-h2 {
    font-size: 12pt;
}
.pad-level2, .pad-level2-active {
    display: inline-block;
    background-color: #43CD80;  /* R colour 577 */
    padding: 10px 16px 10px 16px;
    margin: 8px 0px;
}
.pad-level2 {
    border: solid thin black;
}
.pad-level2-active {
    border: solid medium blue;
}

.pad-level2-wide {              /* on species lists, tasks etc */
    display: inline-block;
    font-size: 11pt;
    background-color: #43CD80;  /* R colour 577 */
    padding: 10px 3px;
    border: solid thin black;
    margin: 2px 0px;
}
/*---------------------------------------
Red List, Amber List
---------------------------------------*/
.red-list {
    color: white;
    background-color:red;
    font-weight:bold;
}
.amber-list {
    background-color: orange;
    font-weight:bold;
}

